Package org.gradle.buildinit.plugins

# Class BuildInitPlugin

java.lang.Object
org.gradle.buildinit.plugins.BuildInitPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class BuildInitPlugin extends Object implements Plugin<Project>
The build init plugin.

See Also:
  - Build Init plugin reference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuildInitPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BuildInitPlugin

    public BuildInitPlugin()

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object